Bug 143047 - security/p5-SAVI-Perl libsavi.so Judgment correction
Summary: security/p5-SAVI-Perl libsavi.so Judgment correction
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: niels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 05:00 UTC by takefu
Modified: 2010-03-15 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (860 bytes, patch)
2010-01-21 05:00 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2010-01-21 05:00:18 UTC
The introduction rejection is unconditionally done if not introduced by 'install.sh -so' when Sophos Anti-Virus is introduced. 
The purpose of libsavi.so.3 is not to put the symbolic link to libsavi.so in a standard introduction. 

http://www.jp.freebsd.org/cgi/query-pr.cgi?pr=102779

A past correction was wrong.

How-To-Repeat: get to Sophos Anti-Virus tarball.
extract tarball.
# ./install.sh
# cd /usr/ports/security/p5-SAVI-Perl
# make
===>  p5-SAVI-Perl-0.30_5 Please install first Sophos Anit-Virus..
*** Error code 1
Comment 1 Edwin Groothuis freebsd_committer 2010-01-21 05:00:28 UTC
Maintainer of security/p5-SAVI-Perl,

Please note that PR ports/143047 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143047

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-21 05:00:31 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Gary J. Hayers 2010-01-21 11:07:36 UTC
Patch looks good, please commit.

Regards,
Gary J. Hayers

Edwin Groothuis wrote:
> Maintainer of security/p5-SAVI-Perl,
>
> Please note that PR ports/143047 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143047
>
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-01-22 07:51:17 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 niels freebsd_committer 2010-03-15 20:03:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->niels

Thanks,I'll process it 
Niels
Comment 6 niels freebsd_committer 2010-03-15 21:28:34 UTC
State Changed
From-To: open->closed

Committed, thanks! 
Niels
Comment 7 dfilter service freebsd_committer 2010-03-15 21:31:28 UTC
niels       2010-03-15 21:31:18 UTC

  FreeBSD ports repository

  Modified files:
    security/p5-SAVI-Perl Makefile 
  Log:
  Committed patch which improves the Sophos AV shared library check
  
  PR:     ports/143047
  Reviewed by:    Gary J. Hayers (maintainer)
  Approved by:    itetcu (mentor)
  
  Revision  Changes    Path
  1.10      +3 -3      ports/security/p5-SAVI-Perl/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"